#!/usr/bin/env python3
from __future__ import print_function

from math import radians
from py2stl import *

def make_tree():
	tree = Group()
	tree += cylinder().translateZ(1).scale(0.2, 0.2, 1)
	tree += cone().translateZ(1).scaleZ(1.5).translateZ(2)
	return tree

house = Group()
house += box().translateZ(1)
house += cone(2, 1, 4).translateZ(3).scale(2, 2, 1).rotateZ(radians(45))

plateau = Group()
plateau += disc().scale(5, 5, 1)
plateau += make_tree().translate(3, 1, 0)
plateau += make_tree().translate(-1, -2, 0)
plateau += make_tree().translate(-3, 3, 0)
plateau += house.scale(0.5, 0.5, 0.5)

print(plateau)
